Page MenuHomePhabricator

Please update wmf-config/interwiki.php following on-wiki updates
Closed, ResolvedPublic

Description

Following on-wiki updates on the Interwiki Map, please run dumpInterwiki and deploy the new map. Thanks!

Note: this process needs a deployer from the very beginning as WikimediaMaintenance/dumpInterwiki.php needs to be run on terbium/wasat to get the syntax used by rOMWC/wmf-config/interwiki.php.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterUpdate interwiki.php

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 28 2018, 7:34 PM
MarcoAurelio triaged this task as Low priority.Feb 28 2018, 7:36 PM

waiting two weeks for a requested sync update? ouch! one would hope that these central and significant tasks could be done within a few days

I don't remember who did the last sync, I think either @Reedy or @demon; but I can't remember. If the dumpInterwiki.php script could be used by regular volunteers and patches be uploaded for review and SWAT I think the process would be faster.

@Billinghurst et al. I've filed as well T189577 to consider investigation.

I don't remember who did the last sync, I think either @Reedy or @demon; but I can't remember. If the dumpInterwiki.php script could be used by regular volunteers and patches be uploaded for review and SWAT I think the process would be faster.

It's might be too tightly couple to WMF config variables in it's current state to be able to easily run. However, what happens if you try and run it locally, and specifically pass it all the paths to the dblists etc it needs?

Might need a variables setting in LocalSettings too... $wmfRealm at least

		$this->addOption( 'langlist', 'File with one language code per line', false, true );
		$this->addOption( 'dblist', 'File with one db per line', false, true );
		$this->addOption( 'specialdbs', "File with one 'special' db per line", false, true );

I don't really see very much in it that's MW specific/dependant ($wgContLang->lc would be one of a few dependancies)... It would in theory be possible to make it run mostly standalone in mediawiki-config

Change 419153 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] Update interwiki.php

https://gerrit.wikimedia.org/r/419153

Change 419153 merged by jenkins-bot:
[operations/mediawiki-config@master] Update interwiki.php

https://gerrit.wikimedia.org/r/419153

Mentioned in SAL (#wikimedia-operations) [2018-03-13T12:04:07Z] <reedy@tin> Synchronized wmf-config/interwiki.php: T188537 (duration: 00m 57s)

Reedy closed this task as Resolved.Mar 13 2018, 12:10 PM
Reedy claimed this task.

Mentioned in SAL (#wikimedia-operations) [2018-03-13T12:04:07Z] <reedy@tin> Synchronized wmf-config/interwiki.php: T188537 (duration: 00m 57s)

Is there a change in logging site? I have a SAL search (linked from talk:interwiki_map) to look at updates at https://tools.wmflabs.org/sal/production?p=0&q=interwiki and @Reedy your update doesn't show there.

Reedy added a comment.EditedMar 13 2018, 1:41 PM

I saw it there. Seems that we have whole word searching, not stem searching. That makes searching significantly less useful. :-/

demon added a comment.Mar 14 2018, 4:34 PM

Cf: scap update-interwiki-cache. It lets you do it all in one step :)